local L = AceLibrary("AceLocale-2.2"):new("BananaBar2")

L:RegisterTranslations("enUS", function() 
    return {
		-- all the lines starting with - should not be translated, 
		-- these lines are just descriptions for translators
		
		-- all texts where the textid ends with "desc" are 
		-- long descriptions for the menu entry shown in the help and in the tooltip
		
		
		
		-- Short name of the Addon, should normally not be translated
		addonname                       = "BananaBar2", 
		
		-- Long name of the Addon, the word BananaBar2 should normally not be translated, 
		-- the appendix "Raid Symbols" can be translated
		addonnamelong                   = "BananaBar2 Raid Symbols", 
		
		        
		-- Texts in the WOW Key binding Dialog
		-- Text should not exceed one line to be correctly displayed in the dialog
		
		-- A key to hold down, then moving over a group of mobs to set raid symbols on them 
		binding_mouseover               = "Key to hold down for mouse over targeting",
		
		-- When this key is pressed, raid symbols are set to all mobs that 
		-- are targeted by any player in the raid. Which symbols on which mobs (*) can be configured 
		-- in the mobsettings menu ( * Symbol to mob assignment can be configured. )
		binding_key                     = "Key to set symbols to all accessible mobs",
		
		-- when this key is held down, the mouse cursor changes it's icon to the icon of the 
		-- mob you are hoovering. This can be used to find a specific mob in a group or check the 
		-- symbol of the mob you are searching for 
		binding_search                  = "Search for a symbol with mouse over",
		
		
		-- the submenu where you can find all the settings corresponding to all visual effects
		-- of bananabar. For example "Hide buttons", "button size", "show button frames" etc.
		design                          = "Visibility settings",
		designdesc                      = "Visibility settings",
		
		-- hide buttons that are currently not used (no mob has this target)
		-- buttons will also be hidden if no party member has targeted the mob 
		-- with the specific symbol
		hideunused                      = "Hide unused buttons",
		hideunuseddesc                  = "Hide buttons if they are not used at the moment",
		        
		-- hide the black frame around the button
		hidebuttonframes                = "Hide button frames",
		hidebuttonframesdesc            = "Changes the visibility of the button frames",
		
		
		-- mark dead targets with an overlay image over the button        
		markdead                        = "Mark dead targets",
		markdeaddesc                    = "Marks dead targets with an overlayed symbol",
		        
		
		-- submenu where you can enable/disable single buttons
		showbutton                      = "Show button for...", 
		
		-- description used for normal buttons and also for the parent menu "Show buttons for"
		showbuttondesc                  = "Show/Hide single buttons", 
		
		-- used for huntersmark buttons
		showhuntersmarkdesc             = "Show Hunter's Mark button", 
		        
		-- Translations for the button names
		-- use RAID_TARGET_1 and so on for the original blizzard names
		-- in our guild we use the name "Condom" for the orange circle
		symbolname1                     = RAID_TARGET_1,
		symbolname2                     = "Condom",
		symbolname3                     = RAID_TARGET_3,
		symbolname4                     = RAID_TARGET_4,
		symbolname5                     = RAID_TARGET_5,
		symbolname6                     = RAID_TARGET_6,
		symbolname7                     = RAID_TARGET_7,
		symbolname8                     = RAID_TARGET_8,
		-- Symbol name for the huntersmark
		huntersmark                     = "Hunter's Mark",
		
		-- menu entry to activate the layout mode
		-- in the layoutmode you can move, seperate and concatenate buttons        
		layoutmode                      = "Activate layoutmode",
		layoutmodedesc                  = "Activetes the layoutmode.Use it to move and group buttons.",
		        
		        
		        
		-- scale the normal BananaBar2 button size
		scale                           = "Scale", 
		scaledesc                       = "Scale the buttons from 10% to 200%", 
		        
		-- scale the 40 buttons of the raid overview panel
		scaleassist                     = "Scale assist buttons", 
		scaleassistdesc                 = "Scale assist buttons the buttons from 10% to 200%", 
		
		-- reset everything to the defaults, except the settings in the submenu "mobsettings"        
		reset                           = "Reset", 
		resetdesc                       = "reset all settings of the current profile", 
		        
		-- this message comes up if BananaBar2 has detected that you have installed a newer version 
		-- of BananaBar which is not compatible with the old one and the profile is resetted to defaults
		oldprofilemessage               = "The settings of the loaded profile are from an older BananaBar2 "..
		                                  "version, settings are resetted to their defaults.",
		
		-- name for the /bb2config console command
		config                          = "Config", 
		configdesc                      = "Opens the config popup menu", 
		        
		
		-- name for the config menu entry in the mouse button settings menu
		action_config                   = "Open config popup",
		action_configdesc               = "Opens the config menu popup",
		        
		-- name for the "Target mob by symbol" menu entry in the mouse button settings menu
		-- this still exists in the menu, but is no longer supported in WoW 2.0
		action_target                   = "Target mob by symbol",
		action_targetdesc               = "Target mob of the corresponding symbol or hunter's mark",
		
		-- name for the config menu entry in the mouse button settings menu
		action_setsymbol                = "Set Raid Symbol or Hunter's Mark",
		action_setsymboldesc            = "Set Raid Symbol or Hunter's Mark on the mob you actually targeted",
		
		-- setting in the mobsettings menu, if activated this mob will get a symbol
		-- if you press the autosymbols key (binding_key)
		autosymbolsbyhotkey             = "Enable autosymbols by hotkey",
		autosymbolsbyhotkeydesc         = "If enabled you can set symbols automatic on mobs by pressing the specific hotkey",
		        
		-- setting in the mobsettings menu, if activated for a mob, this mob gets a symbol 
		-- whenever it enters combat with your group and anyone of the group has targeted it
		autosymbolsoncombat             = "Enable autosymbols when mob enters combat",
		autosymbolsoncombatdesc         = "If enabled symbols are set on this mob when it enters combat with your raid",
		
		-- if activated this mob will be SKIPPED for mouse over targeting        
		autosymbolsonmouseover          = "Disable autosymbols on mouseover",
		autosymbolsonmouseoverdesc      = "If checked, setting symbols on mouseover is disabled",
		
		-- description for the menu entrys for the specific mobs in the mobsettings menu          
		autosymboldesc                  = "If checked this symbol is used for autosymbols and autosymbols in combat, "..
		                                 "mouseover targeting always uses all symbols",
		
		
		-- shift key on the keyboard, used in mouse button settings        
		shift                           = "Shift",
		shiftdesc                       = "Shift key",
		-- control key (ctrl) on the keyboard, used in mouse button settings        
		control                         = "Control",
		controldesc                     = "Control key",
		-- alt key on the keyboard, used in mouse button settings        
		alt                             = "Alt",
		altdesc                         = "Alt key",
		
		-- Left mousebutton        
		leftmouse                       = "Left Mousebutton",
		leftmousedesc                   = "Left Mousebutton",
		-- Right mousebutton        
		rightmouse                      = "Right Mousebutton",
		rightmousedesc                  = "Right Mousebutton",
		-- Middle mousebutton        
		middlemouse                     = "Middle Mousebutton",
		middlemousedesc                 = "Middle Mousebutton",
		-- mousebutton 4
		mouse4                          = "Mousebutton 4",
		mouse4desc                      = "Mousebutton 4",
		-- mousebutton 5
		mouse5                          = "Mousebutton 5",
		mouse5desc                      = "Mousebutton 5",
		        
		-- the update rate how often your raid will be scanned 
		updaterate                      = "Change update speed",
		updateratedesc                  = "Change the update time in seconds, lower value "..
		                                  "means more updates but may cause lag on very slow computers",
		
		-- menu entry for the mob settings menu
		mobsettings                     = "Change mob specific settings",
		mobsettingsdesc                 = "Change settings for specific mobs for automatic symbol setting",
		
		-- menu entry for the mouse button settings menu
		mousebutton                     = "Change mousebutton settings",
		mousebuttondesc                 = "Change what happens when clicking on a BananaBar button",
		
		-- The tooltip text that occurs over the buttons when in layout mode         
		layoutmodetooltip               = "Layoutmode is active.\n"..
		                                  "Use left mousebutton to move a button or a group of buttons.\n"..
		                                  "Right mousebutton to disconnect linked buttons.\n"..
		                                  "Mouse5 to disconnect all links.\n"..
		                                  "Mouse4 or escape.",
		                                                                
		-- shows the BananaBar buttons when you are in a raid group
		showinraid                      = "Show buttons in raid",
		showinraiddesc                  = "Show buttons when in raid group",
		-- shows bananabar buttons when you are in a normal party 
		showinparty                     = "Show buttons in party",
		showinpartydesc                 = "Show buttons when in a normal party",
		-- shows bananabar buttons when you are in a normal party 
		showoutofgroup                  = "Show buttons out of group",
		showoutofgroupdesc              = "Show buttons when you are not in group",
		
		-- shows or hides the raid info panel (this panel is only shown when you are in a raid
		showraidinfo                    = "Show raid info panel",
		showraidinfodesc                = "Show raid info panel when in raid, out of raid it is always hidden",

		-- Shows mob name and health bar next to the raid symbol buttons
		showextrainfo             		= "Show mob name and health bar",
		showextrainfodesc               = "Shows mob name and health bar next to the raid symbol buttons",

		-- Show raid icons next to the CT_RAID player frames if checked
		showiconsonctraidmt             = "Show raid icons at CT_RAID Maintank frames",
		showiconsonctraidmtdesc         = "Show raid icons next to the CT_RAID Maintank frames if checked",

		-- shows or hides the raid info panel (this panel is only shown when you are in a raid
		showiconsonctraidpl             = "Show raid icons at CT_RAID player frames",
		showiconsonctraidpldesc         = "Show raid icons next to the CT_RAID player frames if checked",



    }
end)
